%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	PDL

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	PDL Perl Module
Name:		perl-%{perlname}
Version:	2.4.3
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=PDL
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
Patch0:		perl-PDL-settings.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	ncurses-devel
BuildRequires:	perl-Inline
BuildRequires:	perl-ExtUtils-F77
BuildRequires:	mesa-libGL-devel
BuildRequires:	gcc-gfortran
BuildRequires:	gsl-devel
BuildRequires:	pkg-config
Provides:	perl(PDL::Graphics::TriD::Image) perl(PDL::Graphics::TriD::Contours)
Provides:	perl(PDL::Graphics::TriD::Tk) perl(PDL::Config) perl(PDL::Graphics::TriD)
Provides:	perl(PDL::PP::SymTab) perl(PDL::Graphics::TriD::GL) perl(PDL::PP::PDLCode)
Provides:	perl(PDL::PP::CType) perl(PDL::PP::Dims) perl(PGPLOT) perl(PDL::PP::XS)
Provides:	perl(PDL::LiteF) perl(PDL::Lite) perl(Win32::DDE::Client)

%description
PDL Perl Module
For more details see: http://search.cpan.org/search?module=PDL

%prep
%setup -q -n %{perlname}-%{version}
# create a gsl-config because newer versions of gsl do not include one
echo -e "#!/bin/sh\npkg-config \$@ libgsl" > gsl-config
chmod a+x gsl-config
#%patch0 -p1 

%build
export PERL5LIB=`pwd`/blib/lib
export PATH="$PATH:$(pwd)"
#^- can no longer build if perl-PDL is not installed without above
#
perl Makefile.PL %_prefix
make OPTIMIZE="$CFLAGS"

%install
rm -Rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
perl -Mblib Doc/scantree.pl %{buildroot}%perl_sitearch
perl -pi -e "s|%{buildroot}/|/|g" %{buildroot}%perl_sitearch/PDL/pdldoc.db
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 03 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.3-3
- rebuild against gcc 4.3.1
* Tue Jan 29 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.3-2
- rebuild against gcc 4.1.2
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.4.3-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 2.4.2-2
- rebuild against perl-5.8.8
* Wed Dec 07 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.4.2-1
- Initial Release
